Skip to main content
POST
/
servers
/
{guild_id}
/
auth
POST /servers/{guild_id}/auth
curl --request POST \
  --url https://quark.bot/api/servers/{guild_id}/auth \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "permissions": 123
}
'
{
  "token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.quark.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

guild_id
string
required

The guild_id.

Body

application/json
permissions
integer
required

The permission group to grant to the token. 1 for admin, 2 for basic.

Response

200 - application/json

Returns the generated token

token
string

The Bearer token to use for authenticating requests.